---
title: 商人
slug: mdw00rP8qMte_Zi2dP7BV
createdAt: 2025-08-12T21:15:13.774Z
---

{
  "id": "YeXyeWxweG_bvExFpN151",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.forter-secure.com/merchants",
    "servers": [
      {
        "url": "https://api.forter-secure.com/merchants"
      }
    ],
    "name": "Merchant",
    "description": "<p>Create a new merchant within your Forter account. The response will include a Forter-assigned merchant subsite ID to be included in the API header on future requests.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "api-version",
          "type": "string",
          "example": "10.1",
          "description": "Specify the version of the API to target.",
          "default": "10.1"
        },
        {
          "kind": "required",
          "name": "x-forter-siteid",
          "type": "string",
          "example": "a1b2c3d4e5f6",
          "description": "<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>",
          "default": "8b47c6d423ba"
        },
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "example": "Basic <base64-encoded-api-key:>",
          "description": "Basic Authentiation in the form of a username and password. Use the API Key as the username and leave the password empty.",
          "default": "Basic <base64-encoded-api-key:>"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Create a new merchant within your Forter account. The response will include a Forter-assigned merchant subsite ID to be included in the API header on future requests.",
          "customType": "merchantCreationRequest",
          "schema": [
            {
              "name": "defaultMerchantCategoryCode",
              "kind": "required",
              "type": "string",
              "description": "A Merchant Category Code (MCC) is a four-digit number listed in ISO 18245 for retail financial services. MCC is used to classify the business by the type of goods or services it provides",
              "example": "",
              "default": "5655"
            },
            {
              "name": "merchantAccountCreation",
              "kind": "optional",
              "type": "object",
              "complexType": "allOf",
              "complexItems": [
                {
                  "name": "MerchantAccountCreationFields",
                  "description": "",
                  "modelRef": "#/components/schemas/MerchantAccountCreationFields",
                  "schema": [
                    {
                      "name": "ip",
                      "kind": "optional",
                      "type": "string",
                      "description": "IP address used by the account owner at the time of registration (in v4 format)",
                      "example": "",
                      "default": "10.0.0.128"
                    },
                    {
                      "name": "timestamp",
                      "kind": "optional",
                      "type": "number",
                      "description": "Date merchant account was created in seconds since unix epoch (UTC, Jan 1, 1970)",
                      "example": "",
                      "default": 1415273179
                    }
                  ]
                }
              ],
              "schema": []
            },
            {
              "name": "merchantId",
              "kind": "required",
              "type": "string",
              "description": "The merchant's internal ID in the PSP's systems",
              "example": "",
              "default": "eh629dK9"
            },
            {
              "name": "name",
              "kind": "required",
              "type": "string",
              "description": "The merchant's name in the PSP's systems. The name needs to be unique within the PSP's portfolio, and should not contain special characters",
              "example": "",
              "default": "T-Shirts Express"
            }
          ],
          "modelRef": "#/components/schemas/merchantCreationRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Example merchantCreationResponse",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Response structure for merchant registration requests",
            "customType": "merchantCreationResponse",
            "schema": [
              {
                "name": "defaultMerchantCategoryCode",
                "kind": "required",
                "type": "string",
                "description": "A Merchant Category Code (MCC) is a four-digit number listed in ISO 18245 for retail financial services. MCC is used to classify the business by the type of goods or services it provides",
                "example": "",
                "default": "5655"
              },
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "The merchant's Site-ID in Forter's systems. Should be used for each call related to the merchant",
                "example": "",
                "default": "aab42345bba2"
              },
              {
                "name": "merchantAccountCreation",
                "kind": "optional",
                "type": "object",
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "MerchantAccountCreationFields",
                    "description": "",
                    "modelRef": "#/components/schemas/MerchantAccountCreationFields",
                    "schema": [
                      {
                        "name": "ip",
                        "kind": "optional",
                        "type": "string",
                        "description": "IP address used by the account owner at the time of registration (in v4 format)",
                        "example": "",
                        "default": "10.0.0.128"
                      },
                      {
                        "name": "timestamp",
                        "kind": "optional",
                        "type": "number",
                        "description": "Date merchant account was created in seconds since unix epoch (UTC, Jan 1, 1970)",
                        "example": "",
                        "default": 1415273179
                      }
                    ]
                  }
                ],
                "schema": []
              },
              {
                "name": "merchantId",
                "kind": "required",
                "type": "string",
                "description": "The merchant's internal ID in the PSP's systems",
                "example": "",
                "default": "eh629dK9"
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "The merchant's Site Name",
                "example": "",
                "default": "T-Shirts Express"
              }
            ],
            "modelRef": "#/components/schemas/merchantCreationResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request (Often missing a required parameter)",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Unauthorized (No valid API key provided)",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found (The requested item doesn't exist)",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Server Error (Something went wrong on Forter's end)",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.forter-secure.com/merchants \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'api-version: 10.1' \\\n     --header 'x-forter-siteid: 8b47c6d423ba' \\\n     --header 'authorization: Basic <base64-encoded-api-key:>' \\\n     --data '{\n     \"defaultMerchantCategoryCode\": \"5655\",\n     \"merchantAccountCreation\": {\n     \"ip\": \"10.0.0.128\",\n     \"timestamp\": 1415273179\n     },\n     \"merchantId\": \"eh629dK9\",\n     \"name\": \"T-Shirts Express\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"api-version\", \"10.1\");\nmyHeaders.append(\"x-forter-siteid\", \"8b47c6d423ba\");\nmyHeaders.append(\"authorization\", \"Basic <base64-encoded-api-key:>\");\n\nvar raw = JSON.stringify({\n   \"defaultMerchantCategoryCode\": \"5655\",\n   \"merchantAccountCreation\": {\n      \"ip\": \"10.0.0.128\",\n      \"timestamp\": 1415273179\n   },\n   \"merchantId\": \"eh629dK9\",\n   \"name\": \"T-Shirts Express\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.forter-secure.com/merchants\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.forter-secure.com/merchants\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"api-version\"] = \"10.1\"\nrequest[\"x-forter-siteid\"] = \"8b47c6d423ba\"\nrequest[\"authorization\"] = \"Basic <base64-encoded-api-key:>\"\nrequest.body = JSON.dump({\n   \"defaultMerchantCategoryCode\": \"5655\",\n   \"merchantAccountCreation\": {\n      \"ip\": \"10.0.0.128\",\n      \"timestamp\": 1415273179\n   },\n   \"merchantId\": \"eh629dK9\",\n   \"name\": \"T-Shirts Express\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.forter-secure.com/merchants\"\n\npayload = json.dumps({\n   \"defaultMerchantCategoryCode\": \"5655\",\n   \"merchantAccountCreation\": {\n      \"ip\": \"10.0.0.128\",\n      \"timestamp\": 1415273179\n   },\n   \"merchantId\": \"eh629dK9\",\n   \"name\": \"T-Shirts Express\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'api-version': '10.1',\n   'x-forter-siteid': '8b47c6d423ba',\n   'authorization': 'Basic <base64-encoded-api-key:>'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Example merchantCreationResponse\n{\n  \"defaultMerchantCategoryCode\": \"\",\n  \"id\": \"\",\n  \"merchantAccountCreation\": {},\n  \"merchantId\": \"\",\n  \"name\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request (Often missing a required parameter)\n"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Unauthorized (No valid API key provided)\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found (The requested item doesn't exist)\n"
        },
        {
          "id": "response-4-500",
          "language": "500",
          "code": "// Server Error (Something went wrong on Forter's end)\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "V2HWgfkQuE9J81Yb1q-5A",
      "type": "paragraph",
      "children": [
        {
          "text": "Forterアカウント内に新しいマーチャントを作成します。レスポンスには、今後のリクエストのAPIヘッダーに含めるForterが割り当てたマーチャントサブサイトIDが含まれます。"
        }
      ]
    }
  ]
}